Loading...
Searching...
No Matches
Opm::UgGridHelpers::CpGridCentroidIterator< Method > Class Template Reference

An iterator over the cell volumes. More...

`#include <GridHelpers.hpp>`

Inheritance diagram for Opm::UgGridHelpers::CpGridCentroidIterator< Method >:

## Public Member Functions

| CpGridCentroidIterator (const Dune::CpGrid &grid, int cell_index)
| Creates an iterator.
const Dune::FieldVector< double, 3 > & | dereference () const
void | increment ()
const Dune::FieldVector< double, 3 > & | elementAt (int n) const
void | advance (int n)
void | decrement ()
int | distanceTo (const CpGridCentroidIterator &o) const
bool | equals (const CpGridCentroidIterator &o) const

## Detailed Description

template<const Dune::FieldVector< double, 3 > &(Dune::CpGrid::*)(int) const Method>
class Opm::UgGridHelpers::CpGridCentroidIterator< Method >

An iterator over the cell volumes.

## Constructor & Destructor Documentation

## CpGridCentroidIterator()

template<const Dune::FieldVector< double, 3 > &(Dune::CpGrid::*)(int) const Method>

Opm::UgGridHelpers::CpGridCentroidIterator< Method >::CpGridCentroidIterator | ( | const Dune::CpGrid & | grid,
|  | int | cell_index )

inline

Creates an iterator.

Parameters

  grid | The grid the iterator belongs to.
  cell_index | The position of the iterator.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp